SUMMARY = "QML Plugin for devicelock on Nemo"
HOMEPAGE = "https://git.merproject.org/mer-core/nemo-qml-plugin-devicelock"
LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://src/plugin/plugin.cpp;beginline=1;endline=31;md5=7abcb4ac64856fce624f8f11084f659f"

SRC_URI = "git://git.merproject.org/mer-core/nemo-qml-plugin-devicelock.git;protocol=https \
    file://0001-Modify-libsystemd-name.patch \
    file://0001-OUT_PWD.patch"
      
SRCREV = "2b44347e1768f8f11d769b6dd2a50c6f15ea632f"
PR = "r1"
PV = "+git${SRCPV}"
S = "${WORKDIR}/git"

inherit qmake5

DEPENDS += "qtdeclarative mlite dbus nemo-keepalive nemo-qml-plugin-dbus"
RDEPENDS_${PN} += "nemo-qml-plugin-dbus"
FILES_${PN}-dbg += "/opt /usr/lib/qml/org/nemomobile/policy/.debug"
FILES_${PN} += "/usr/lib/qml/org/nemomobile/devicelock /lib/systemd/system /etc/dbus-1"

