SUMMARY = "Glacier Theme for Nemo"
HOMEPAGE = "https://github.com/nemomobile-ux/nemo-theme-glacier.git"
LICENSE = "CC-BY-SA-3.0"
LIC_FILES_CHKSUM = "file://cc3/LICENSE.md;md5=cf7e5cf784e962ee361c8d468cebf569"

SRC_URI = "git://github.com/nemomobile-ux/nemo-theme-glacier.git;protocol=https"
SRCREV = "54efddf8a3d37c1197dfed04f5f0c1f21fd9779c"
PR = "r1"
PV = "+git${SRCPV}"
S = "${WORKDIR}/git"
inherit qmake5

DEPENDS += "qtbase"

do_install_append() {
    cd ${D}/usr/share/themes/glacier/meegotouch/icons/
    ln -sf icon-app-terminal.png icon-l-terminal.png
    ln -sf icon-app-settings.png icon-l-settings.png
    ln -sf icon-app-screenshot.png icon-launcher-screenshot.png
}

FILES_${PN} = "/usr/"
